package com.yiidian.springboot.demo.controller;

import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.validation.annotation.Validated;
import javax.validation.constraints.Min;
import java.util.List;

@Data
@Component
@Validated // 添加数据校验功能
@ConfigurationProperties(prefix = "person")
public class Person {
    @NotEmpty //限制name不能为空
    private String name;
    @Min(15)  //限制age不能小于15
    private Integer age;
    private String[] hobby;
    private List<Friend> friends;
}
