package com.yiidian.springboot.demo.utils;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "通用响应数据结构类")
public class ResponseResult {
  @Schema(title="请求是否处理成功")
  private boolean isok;  //请求是否处理成功
  @Schema(title="请求响应状态码",example="200、400、500")
  private int code; //请求响应状态码（200、400、500）
  @Schema(title="请求结果描述信息")
  private String message;  //请求结果描述信息
  @Schema(title="请求结果数据")
  private Object data; //请求结果数据（通常用于查询操作）

  private ResponseResult(){}

  //请求成功的响应，不带查询数据（用于删除、修改、新增接口）
  public static ResponseResult success(){
    ResponseResult ajaxResponse = new ResponseResult();
    ajaxResponse.setIsok(true);
    ajaxResponse.setCode(200);
    ajaxResponse.setMessage("请求响应成功!");
    return ajaxResponse;
  }

  //请求成功的响应，带有查询数据（用于数据查询接口）
  public static ResponseResult success(Object obj){
    ResponseResult ajaxResponse = new ResponseResult();
    ajaxResponse.setIsok(true);
    ajaxResponse.setCode(200);
    ajaxResponse.setMessage("请求响应成功!");
    ajaxResponse.setData(obj);
    return ajaxResponse;
  }

  //请求成功的响应，带有查询数据（用于数据查询接口）
  public static ResponseResult success(Object obj, String message){
    ResponseResult ajaxResponse = new ResponseResult();
    ajaxResponse.setIsok(true);
    ajaxResponse.setCode(200);
    ajaxResponse.setMessage(message);
    ajaxResponse.setData(obj);
    return ajaxResponse;
  }


}
